Update group
POST/organization/groups/{group_id}
Updates a group's information.
Path Parameters
group_id: string
Body ParametersJSON
name: string
New display name for the group.
minLength1
maxLength255
Returns
id: string
Identifier for the group.
created_at: number
Unix timestamp (in seconds) when the group was created.
formatint64
is_scim_managed: boolean
Whether the group is managed through SCIM and controlled by your identity provider.
name: string
Updated display name for the group.
Update group
curl -X POST https://api.openai.com/v1/organization/groups/group_01J1F8ABCDXYZ \
-H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Escalations"
}'
{
"id": "group_01J1F8ABCDXYZ",
"name": "Escalations",
"created_at": 1711471533,
"is_scim_managed": false
}
Returns Examples
{
"id": "group_01J1F8ABCDXYZ",
"name": "Escalations",
"created_at": 1711471533,
"is_scim_managed": false
}